> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List contact attributes

> Returns a list of all available contact attributes and their configurations.



## OpenAPI

````yaml /openapi/endpoints/ycloud-api-v2.yaml get /contact/contacts/attributes
openapi: 3.0.0
info:
  description: >-
    The [YCloud](https://ycloud.com) API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer). Our
    API is designed to have predictable, resource-oriented URLs, return
    [JSON](https://www.json.org) responses, and use standard HTTP response codes
    and verbs.
  version: v2
  title: YCloud API
  termsOfService: https://ycloud.com/terms-service
  contact:
    email: service@ycloud.com
servers:
  - url: https://api.ycloud.com/v2
    description: Base URL
security:
  - api_key: []
tags:
  - name: Balance
  - name: Contacts
  - name: Custom Events
  - name: Emails
  - name: SMS
  - name: Unsubscribers
  - name: Verify
  - name: Voices
  - name: Webhook Endpoints
  - name: WhatsApp Business Accounts
  - name: WhatsApp Inbound Messages
  - name: WhatsApp Media
  - name: WhatsApp Messages
  - name: WhatsApp Blocked Users
  - name: WhatsApp Groups
  - name: WhatsApp Calling
  - name: WhatsApp Phone Numbers
  - name: WhatsApp Templates
  - name: WhatsApp Flows
  - name: Meta Business Agent
  - name: WhatsApp Group Messages
externalDocs:
  description: Homepage
  url: https://ycloud.com
paths:
  /contact/contacts/attributes:
    get:
      tags:
        - Contacts
      summary: List contact attributes
      description: >-
        Returns a list of all available contact attributes and their
        configurations.
      operationId: contact-attributes-list
      responses:
        '200':
          description: Successfully retrieved contact attributes.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactAttribute'
components:
  schemas:
    ContactAttribute:
      type: object
      description: >-
        Represents a contact attribute configuration.

        Contains information about the attribute's metadata and available
        values.
      required:
        - id
        - name
        - key
        - type
      properties:
        id:
          type: string
          description: Unique identifier for the contact attribute.
          example: 6865e6c17c3854485be550b0
        name:
          type: string
          description: Display name of the contact attribute.
          example: Blocked
        key:
          type: string
          description: Key name used to reference this attribute.
          example: blocked
        type:
          type: string
          description: Data type of the contact attribute.
          enum:
            - BOOLEAN
            - TEXT
            - LONG_TEXT
            - TIME
            - NUMBER
            - ARRAY
          example: BOOLEAN
          x-enum-descriptions:
            BOOLEAN: A true/false value.
            TEXT: A short text string.
            LONG_TEXT: A longer text string with multiple lines.
            TIME: A date or time value.
            NUMBER: A numeric value.
            ARRAY: An array of predefined values.
        desc:
          type: string
          description: Description of the contact attribute.
          example: ''
        values:
          type: array
          description: |-
            Array of possible values for this attribute.
            Only present when type is "ARRAY".
          items:
            type: string
          example:
            - a1
            - wa
            - a3
      example:
        id: 6865e6c17c3854485be550b0
        name: Blocked
        key: blocked
        type: BOOLEAN
        desc: ''
        values: []
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.